Get a collection of printer bridge warehouse printer options
Query Parameters
- Type: stringSearch
Text The search text to filter printer by. This can be all or part of a printer name.
- Type: integer · enumPrint
Type The printer type to filter printer by.
values- Label = 1
- Document = 2
- Type: stringFormat: uuidWarehouse
Id The warehouseId to filter printer by.
Responses
- application/json
Request Example for get/v1/printer-bridges/printer/options
curl 'https://api.consignlyhq.com/v1/printer-bridges/printer/options?SearchText=North%20Warehouse%20Printer&PrintType=1&WarehouseId='
{
"printers": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": null,
"type": "enum (Label = 1, Document = 2)",
"status": "enum (Online = 1, Offline = 2)",
"warehouseId": "123e4567-e89b-12d3-a456-426614174000"
}
]
}